QGIS Application - Bug report #19327
problems with network paths in inputs for GDAL Processing tools
2018-07-03 08:41 PM - Michael Harrington

Status: Closed

Priority: High

Assignee:

Category: Processing/GDAL

Affected QGIS version:3.2 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27155
Description

New description:

#19327-4

Old description:
| am able to use newly created polygons as mask layers in the 'Clip raster by mask layer' command.

Processing algorithm...

Algorithm 'Clip raster by mask layer' starting...

Input parameters:

{'ALPHA_BAND': False, 'CROP_TO_CUTLINE': True, 'DATA_TYPE': 5, 'INPUT":
'//allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/Lidar_ft.tif', 'KEEP_RESOLUTION': False, 'MASK' :
"\allstate\data\2018\18051.02-Ag-Power\GIS DATA\rough clip boundary.shp', 'NODATA' : None, 'OPTIONS': ", 'OUTPUT" :
'//allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/clipped_Lidar_ft.tif' }

GDAL command:

gdalwarp -ot Float32 -of GTiff -cutline "\\allstate\\data\\2018\\18051.02-Ag-Power\\GIS DATA\\rough clip boundary.shp"
-crop_to_cutline "//allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/Lidar_ft.tif"
"//allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/clipped_Lidar_ft.tif"

GDAL command output:

*ERROR 1: Cannot open \\\allstate\\data\\2018\\18051.02-Ag-Power\GIS DATA\\rough clip boundary.shp.*

Execution completed in 0.07 seconds

Results:

{{OUTPUT": <QgsProcessingOutputLayerDefinition {'sink"://allstate/data/2018/18051.02-Ag-Power/LIDAR
DATA/clipped_Lidar_ft.tif, 'createOptions": {fileEncoding': 'System'}}>}

Loading resulting layers

The following layers were not correctly generated.<ul><li>//allstate/data/2018/18051.02-Ag-Power/LIDAR
DATA/clipped_Lidar_ft.tif</li></ul>You can check the 'Log Messages Panel' in QGIS main window to find more information about
the execution of the algorithm.

History

#1 - 2018-07-04 12:40 PM - Giovanni Manghi
- Status changed from Open to Feedback
Can you please add detalied/extact steps/data to allow us replicate? thanks!

#2 - 2018-07-05 03:46 AM - Nyall Dawson

Two things to check:

1. Is //allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/clipped_Lidar_ft.tif actually created?

2. If you run the gdal command from the log directly in a command line, what happens? Can you determine what changes are required to the command to

run correctly?

#3 - 2018-07-05 04:49 PM - Michael Harrington
- File qgis3ClipRasterFixed.PNG added

- File qgis3ClipRasterBroken.PNG added

- File qgis2ClipRaster.PNG added

- File qgis3ClipRasterLog.PNG added

Nyall Dawson wrote:

Two things to check:

1. Is //allstate/data/2018/18051.02-Ag-Power/LIDAR DATA/clipped_Lidar _ft.tif actually created?

2. If you run the gdal command from the log directly in a command line, what happens? Can you determine what changes are required to the

command to run correctly?

1. The clipped_Lidar_ft.tif is never actually created, but the "rough clip boundary.shp" is a real polygon that was created already.

2. 1 checked QGIS 2.14.5 and this command worked as it normally does. Attached is a screenshot of the command | used for that.

| also attached a screenshot of the broken command in QGIS 3.2. | figured out a work around as well. Instead of using the drop down for the
Mask layer, if | browse to the rough clipped boundary the command works properly. Attached is also the Fixed prompt used in QGIS 3.2.

| also attached the log of both the normal prompt that is broken and the work around prompt that is fixed.

#4 - 2018-07-05 09:43 PM - Giovanni Manghi

so... if | understad coorectly: the paths are network ones, and in this case if the input is selected using the dropdown the tool does not work, if you open the
dialog to get pick the layer in the network folder it works. That's it?

#5 - 2018-07-05 09:45 PM - Michael Harrington

Giovanni Manghi wrote:

so... if | understad coorectly: the paths are network ones, and in this case if the input is selected using the dropdown the tool does not work, if you
open the dialog to get pick the layer in the network folder it works. That's it?
Yes, that seems to be what is happening.

#6 - 2018-07-05 09:47 PM - Giovanni Manghi

- Subject changed from Unable to open created clip boundary for 'Clip raster by mask layer' to problems with network paths in inputs for GDAL

Processing tools

- Priority changed from Normal to High

- Status changed from Feedback to Open

- Category changed from Actions to Processing/GDAL
- Description updated

#7 - 2018-07-11 05:55 PM - Jiirgen Fischer
- Description updated

#8 - 2018-07-20 06:17 PM - Michael Harrington

Could this issue have anything to do with the lack of mapping the network drive?

#9 - 2018-12-27 09:45 AM - Nyall Dawson
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This is fixed in 3.4

Files

qgis3ClipRasterFixed.PNG 28.3 KB 2018-07-05 Michael Harrington

qgis3ClipRasterLog.PNG 46.1 KB 2018-07-05 Michael Harrington

qgis3ClipRasterBroken.PNG 27.9 KB 2018-07-05 Michael Harrington

qgis2ClipRaster.PNG 26.6 KB 2018-07-05 Michael Harrington
